/*
 * Class CONTAINER [INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_288 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_288 [] = {0xFF01,237,287,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_288 [] = {0xFF01,287,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_288 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_288 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_288 [] = {0xFF01,287,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_288 [] = {0xFF01,287,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_288 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_288 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_288 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_288 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_288 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_288 [] = {287,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_288 [] = {0xFF01,287,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_288 [] = {0xFF01,288,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_288 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_288[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_288), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_288), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_288), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_288), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_288), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_288), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_288), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_288), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_288), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_288), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_288), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_288), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_288), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_288), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1850, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1851, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1852, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1853, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1854, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_288), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_288), -1, 0xFFFFFFFF},
};
void Init288(void)
{
	IDSC(desc_288, 0, 287);
	IDSC(desc_288 + 1, 1, 287);
	IDSC(desc_288 + 32, 77, 287);
}


#ifdef __cplusplus
}
#endif
